Cheap VPS & Xen Server

Residential Proxy Network - Hourly & Monthly Packages

How to install ruby-subexec on Debian Unstable (Sid)

Install ruby-subexec

Installing ruby-subexec package on Debian Unstable (Sid) is as easy as running the following command on terminal:

sudo apt-get update
sudo apt-get install ruby-subexec

ruby-subexec package information

distro Debian Unstable (Sid)
section Main
name ruby-subexec
version 0.2.3+gh-2
description mechanism for spawning a subprocess
subsection ruby
website / nulayer / subexec
maintainer Debian Ruby Extras Maintainers

Uninstall ruby-subexec

To remove just ruby-subexec package itself from Debian Unstable (Sid) execute on terminal:

sudo apt-get remove ruby-subexec

Uninstall ruby-subexec and it’s dependent packages

To remove the ruby-subexec package and any other dependant package which are no longer needed from Debian Sid.

sudo apt-get remove --auto-remove ruby-subexec

Purging ruby-subexec

If you also want to delete configuration and/or data files of ruby-subexec from Debian Sid then this will work:

sudo apt-get purge ruby-subexec

To delete configuration and/or data files of ruby-subexec and it’s dependencies from Debian Sid then execute:

sudo apt-get purge --auto-remove ruby-subexec